$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.27.39-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.27.39-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '4B8A95FD560124E6706DD858747A5E6B934531F2BD3AF4DF3D1EAB93BB124F7B'
  checksumType = 'sha256'
  checksum64 = '4B8A95FD560124E6706DD858747A5E6B934531F2BD3AF4DF3D1EAB93BB124F7B'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.27.39-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
